<?php
/*
	Plugin Name: Inline Player
	Plugin URI: http://rvincent.digital-nerv.net/wordpress-plugins/
	Description: Adds an Inline Player to all Links of MP3 Files.
	Version: 1.5
	Author: Rally Vincent
	Author URI: http://rvincent.digital-nerv.net/
	License: GPL2
*/

/*  Copyright 2009 - 2012 Rally Vincent (email : rvincent@digital-nerv.net)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as 
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function load_inlineplayer_scripts() {
	wp_register_script( 'soundmanager2', plugin_dir_url(__FILE__) . 'includes/soundmanager2/soundmanager2-nodebug-jsmin.js', array(), false, true);
	wp_register_script( 'inlineplayer', plugin_dir_url(__FILE__) . 'includes/soundmanager2/inlineplayer.js', array(), false, true);
	wp_register_script( 'inlineplayer_init', plugin_dir_url(__FILE__) . 'includes/inlineplayer_init.js', array(), false, true);
	wp_localize_script( 'inlineplayer', 'inlineplayer_vars', array( 'url' => plugin_dir_url(__FILE__) . 'includes/soundmanager2/soundmanager2.swf' ) );
	wp_enqueue_script( 'soundmanager2' );
	wp_enqueue_script( 'inlineplayer' );
	wp_enqueue_script( 'inlineplayer_init' );
}
add_action('wp_enqueue_scripts', 'load_inlineplayer_scripts');

function load_inlineplayer_style() {
	wp_register_style( 'inlineplayer', plugin_dir_url(__FILE__) . 'styles/inlineplayer.css' );
	wp_enqueue_style( 'inlineplayer' );
}
add_action( 'wp_enqueue_scripts', 'load_inlineplayer_style' );

function bad_browser() {
	echo "<!--[if lt IE 9]>\n";
	echo "\t<bgsound src=\"" . plugin_dir_url(__FILE__) . "includes/herzlich.wav\" loop=\"1\">\n";
	echo "<![endif]-->\n";
}
add_action( 'wp_head', 'bad_browser' );
?>